posix_times
posix_uname
POSIX Functions
PHP Manual

# posix_ttyname

(PHP 4, PHP 5)

posix_ttyname — Determine terminal device name

### Description

string posix_ttyname ( int `$fd` )

Returns a string for the absolute path to the current terminal device that is open on the file descriptor `fd` .

### Parameters

`fd`

  The file descriptor.

### Return Values

On success, returns a string of the absolute path of the `fd` . On failure, returns `FALSE`

posix_times
posix_uname
POSIX Functions
PHP Manual